import 'package:flutter/material.dart';
import 'package:hx_components_flutter/hx_components.dart';

class HxDeveloperStatusAppVersion extends StatelessWidget {
  final EdgeInsetsGeometry padding;

  const HxDeveloperStatusAppVersion({
    super.key,
    this.padding = EdgeInsets.zero,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onLongPress: () => apiStatusDialogBuilder(context, 'Dev', Colors.red, const SizedBox()),
      child: Padding(
        padding: padding,
        child: HxText(
          'v 3.0.0',
          color: Colors.white,
        ),
      ),
    );
  }
}
